Bug 816811 - RFE: Extensible topic types
RFE: Extensible topic types
Status: NEW
Product: PressGang CCMS
Classification: Community
Component: Web-UI (Show other bugs)
1.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: pressgang-ccms-dev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-27 00:51 EDT by Joshua Wulf
Modified: 2014-10-26 21:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Wulf 2012-04-27 00:51:02 EDT
Define new topic types in the system, with their own configurable xml templates.

The new topic types should be subclasses of the existing base topic types Concept, Task and Reference. 

So that when a processing system encounters a topic type for which it has no information, it will treat it as the base class.
Comment 1 Joshua Wulf 2012-04-30 22:56:42 EDT
A couple of additional factors:

1) Sub-classing new topic types from the three base types is important for forward-compatibility with DITA.

2) The Content Spec Processor will probably need to pull a list of supported topic-types by name from the server to validate a spec.

I'd be happy to get extensible topic types with templates before CSP support for them is available, because I can create a book using the base types, and then manually set the subclassed topic types in the Skynet interface.

Note You need to log in before you can comment on or make changes to this bug.